> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/documents/share-documents.md).

# Share Documents

## POST /api/Public/ShareDocuments/ShareFileStatus

> Share file status

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ShareDocumentsRequestDto":{"required":["recipients","workflowId"],"type":"object","properties":{"workflowId":{"minLength":1,"type":"string"},"referenceNo":{"type":"string","nullable":true},"recipients":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ShareRecipientDto"}},"shareAttachment":{"type":"boolean"},"messageContent":{"type":"string","nullable":true},"isEncrypted":{"type":"boolean"},"deviceInfo":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"osAndBrowser":{"type":"string","nullable":true},"requestSource":{"type":"integer","format":"int32"},"expiryDays":{"type":"integer","format":"int32","nullable":true},"expiryDate":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.ShareRecipientDto":{"required":["email"],"type":"object","properties":{"email":{"minLength":1,"type":"string","format":"email"},"otp":{"type":"string","nullable":true},"sharedSubId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"emailIds":{"type":"array","items":{"type":"integer","format":"int64"},"nullable":true},"shareIds":{"type":"array","items":{"type":"integer","format":"int64"},"nullable":true},"message":{"type":"string","nullable":true},"sharedDocumentCount":{"type":"integer","format":"int32"},"sharedDateTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/ShareFileStatus":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ShareDocumentsRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ShareDocumentsResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Share file status","operationId":"post_ShareDocuments_ShareFileStatus"}}}}
```

## POST /api/Public/ShareDocuments/ResolveSharedToken

> Resolve shared token

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ResolveSharedTokenRequest":{"type":"object","properties":{"token":{"type":"string","nullable":true},"sessionToken":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/ResolveSharedToken":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ResolveSharedTokenRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Resolve shared token","operationId":"post_ShareDocuments_ResolveSharedToken"}}}}
```

## POST /api/Public/ShareDocuments/DownloadSharedDocument

> Download shared document

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.DownloadSharedDocumentRequest":{"type":"object","properties":{"token":{"type":"string","nullable":true},"sessionToken":{"type":"string","nullable":true},"documentId":{"type":"integer","format":"int64"},"isAttachment":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/DownloadSharedDocument":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DownloadSharedDocumentRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Download shared document","operationId":"post_ShareDocuments_DownloadSharedDocument"}}}}
```

## GET /api/Public/ShareDocuments/ResolveInbox

> Resolve inbox

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/ShareDocuments/ResolveInbox":{"get":{"tags":["ShareDocuments"],"parameters":[{"name":"token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Resolve inbox","operationId":"get_ShareDocuments_ResolveInbox"}}}}
```

## GET /api/Public/ShareDocuments/DownloadInboxDoc

> Download inbox doc

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/ShareDocuments/DownloadInboxDoc":{"get":{"tags":["ShareDocuments"],"parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"documentId","in":"query","schema":{"type":"integer","format":"int64"}},{"name":"isAttachment","in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"}},"summary":"Download inbox doc","operationId":"get_ShareDocuments_DownloadInboxDoc"}}}}
```

## GET /api/Public/ShareDocuments/DownloadInbox

> Download inbox

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/ShareDocuments/DownloadInbox":{"get":{"tags":["ShareDocuments"],"parameters":[{"name":"token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"summary":"Download inbox","operationId":"get_ShareDocuments_DownloadInbox"}}}}
```

## POST /api/Public/ShareDocuments/SendShareOtp

> Send share OTP

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.SendShareOtpRequest":{"type":"object","properties":{"token":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/SendShareOtp":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SendShareOtpRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Send share OTP","operationId":"post_ShareDocuments_SendShareOtp"}}}}
```

## POST /api/Public/ShareDocuments/VerifyShareOtp

> Verify share OTP

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.VerifyShareOtpRequest":{"type":"object","properties":{"token":{"type":"string","nullable":true},"otp":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/VerifyShareOtp":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.VerifyShareOtpRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Verify share OTP","operationId":"post_ShareDocuments_VerifyShareOtp"}}}}
```

## POST /api/Public/ShareDocuments/SharedWithMe

> Shared with me

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.SharedWithMeRequest":{"type":"object","properties":{"page":{"type":"integer","format":"int32","nullable":true},"pageSize":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/SharedWithMe":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SharedWithMeRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Shared with me","operationId":"post_ShareDocuments_SharedWithMe"}}}}
```

## POST /api/Public/ShareDocuments/SentShares

> Sent shares

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.SentSharesRequest":{"type":"object","properties":{"page":{"type":"integer","format":"int32","nullable":true},"pageSize":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/SentShares":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SentSharesRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Sent shares","operationId":"post_ShareDocuments_SentShares"}}}}
```

## POST /api/Public/ShareDocuments/RevokeRecipient

> Revoke recipient

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.RevokeRecipientRequest":{"type":"object","properties":{"shareRecipientId":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/RevokeRecipient":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.RevokeRecipientRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Revoke recipient","operationId":"post_ShareDocuments_RevokeRecipient"}}}}
```

## POST /api/Public/ShareDocuments/RevokeEnvelope

> Revoke envelope

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.RevokeEnvelopeRequest":{"type":"object","properties":{"envelopeShareId":{"type":"integer","format":"int64"}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/RevokeEnvelope":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.RevokeEnvelopeRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Revoke envelope","operationId":"post_ShareDocuments_RevokeEnvelope"}}}}
```

## POST /api/Public/ShareDocuments/ResendCompletionMail

> Resend completion mail

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ShareDocuments"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ResendCompletionMailRequest":{"type":"object","properties":{"workflowId":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/Public/ShareDocuments/ResendCompletionMail":{"post":{"tags":["ShareDocuments"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ResendCompletionMailRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Resend completion mail","operationId":"post_ShareDocuments_ResendCompletionMail"}}}}
```
